@import "./size_constatns";

@mixin _1584 {
  @media (min-width: $hd-desktop) {
    @content;
  }
}

@mixin _1584-1014 {
  @media (min-width: $sm-desktop) and (max-width: $hd-desktop - 1px) {
    @content;
  }
}

@mixin _1014-320 {
  @media (max-width: $sm-desktop - 1px) {
    @content;
  }
}

@mixin _1254 {
  @media (min-width: $md-desktop) and (max-width: $hd-desktop - 1px) {
    @content;
  }
}

@mixin _1014 {
  @media (min-width: $sm-desktop) and (max-width: $md-desktop - 1px) {
    @content;
  }
}

@mixin _780 {
  @media (min-width: $tablet) and (max-width: $sm-desktop - 1px) {
    @content;
  }
}

@mixin _600 {
  @media (min-width: $hd-mobile) and (max-width: $tablet - 1px) {
    @content;
  }
}

@mixin _480 {
  @media (min-width: $md-mobile) and (max-width: $hd-mobile - 1px) {
    @content;
  }
}

@mixin _360 {
  @media (min-width: $sm-mobile) and (max-width: $md-mobile - 1px) {
    @content;
  }
}

@mixin _320 {
  @media (max-width: $sm-mobile - 1px) {
    @content;
  }
}

@mixin mobileView{
  @media  (min-width: $md-mobile) and (max-width: $tablet - 1px){
    @content;
  }
}

@mixin hdGap {
  grid-column-gap: 36px;
  grid-row-gap: 36px;
}

@mixin mobileGap {
  grid-column-gap: 24px;
  grid-row-gap: 24px;
}
@mixin normalGap{
  grid-column-gap: 30px;
  grid-row-gap: 30px;
}


@mixin hdColumnTemplate {
  grid-template-columns: repeat(12, 87px);
}

@mixin mdColumnTemplate {
  grid-template-columns: repeat(12, 68px);
}

@mixin smColumnTemplate {
  grid-template-columns: repeat(12, 48px);
}

@mixin tabletColumnTemplate {
  grid-template-columns: repeat(12, 39px);
}

@mixin hdMobileColumnTemplate {
  grid-template-columns: repeat(6, 72px);
}

@mixin mdMobileColumnTemplate {
  grid-template-columns: repeat(6, 52px);
}

@mixin smMobileColumnTemplate {
  grid-template-columns: repeat(4, 60px);
}

@mixin ssmMobileColumnTemplate {
  grid-template-columns: repeat(4, 50px);
}



